/********************************************
   PROGRAMERSKA RADIONICA
        SKOLA RAJAK
------------------------
RESENJA ZADATKA ZA SAMOSTALAN RAD
PREDAVANJE 3: KONTROLA TOKA PROGRAMA
Autor: Kim Novak
Datum: 17.3.2013.
Licenca: Slobodno za upotrebu/modifikaciju
Kontakt: programerska.radionica@gmail.com
               www.rajak.rs
Verzija: 1.0.0
Opis:
Rešenje domaćeg zadatka-ispitivanje
kakvog je raspoloženja Anastazija
Rešenje preko switch-a. Smatraćemo
da je program izvršen do kraja kada
se zatraži ispis raspoloženja
*******************************************/


#include <stdio.h>
#include <stdlib.h>
#include <errno.h>

int main()
{
    int X;//U X ćemo smeštati vrednost koja se odnosi na raspoloženje
    int godDoba; //ovde ćemo smestiti vrednost za godišnje doba
    int opcija;//ovde ćemo smestiti koju je opciju korisnik izabrao u korisničkom meniju
    int sneg;//ovde ćemo smestiti vrednost da li ima snega
    int t; //ovu promenljivu koristimo za temperaturu
    int s; //ovde ćemo smestiti vrednost za sladoled
    int predavanje;//ova promenljiva odnosiće se na predavanja na fakultetu
    int net; //u ovu promenljivu smestićemo vrednost za ispravnost interneta
    int i=0; //ovo je brojač koji broji koliko je puta izvršen program
    int brneras=0;//ovim ćemo brojati koliko je puta Anastazija bila neraspoložena!
    X=25;//početna vrednost X-a je 0
    do { //do
    printf("Izaberite opciju:\n1.\tUnos godisnjeg doba\n2.\tUnos temperature\n3.\tUnos parametra-sladoled?\n4.\tUnos za predavanja na faxu\n5.\tUnos parametra-internet?\n6.\tIspis raspolozenja\n7.\tIzlaz\nOpcija:");
    //Ovaj printf je zapravo korisnički meni, \t je znak za tab, odnosno nekoliko razmaka
    scanf("%d", &opcija);//prihvatamo šta je korisnik odabrao iz korisničkog menija
    switch(opcija) {
    case 1: //ako je izabrao prvu opciju
        {
        do{ //ovim ćemo postići da se pitanje ponavlja dokle god korisnik ne unese 1 ili 2, tj. iskljucuje odgovore 3,4,0 itd.
        printf("Za leto uneti 1, za zimu uneti 2\n");
        scanf("%d", &godDoba);
        }while(godDoba<1||godDoba>2); //dakle uslov je da ne prihvata brojeve manje od 1 ili vece od 2 odnosno
        //prihvata samo 1 i 2 kao odgovor
    if (godDoba==1) {//ako je leto ispisaćemo da je leto
            printf("leto je\n");
    }
    if (godDoba==2) {// Ako je zima pitaćemo korisnika da li ima snega
            do{
        printf("Da li ima snega?Uneti 1 ako ima, 0 ako nema\n");
        scanf("%d", &sneg);
            }while(sneg<0||sneg>1); //znak || znaci OR odnosno ILI
        if (sneg==1) {//ako ima snega X povećavamo za 25
            X+=25;//X+=25 je isto što i X=X+25
        }
        if (sneg==0){//ako nema snega X se smanjuje za 10
            X-=10;//X-=10 je isto što i X=X-10
        }
    }
    printf("%d\n", X);//ispisivacemo X na kraju svake opcije zbog provere kako radi program
    break; //na kraju svakog case-a mora se naci break
    }

    case 2: //ukoliko je korisnik izabrao drugu opciju u korisnickom meniju
        {
        printf("unesite temperaturu\n");
        scanf("%d", &t);

        if(godDoba==2 && t>4){//ako je zima i temperatura je iznad 4 smanjuje se X za 5
                X-=5;
        }
        if(godDoba==2 && t<4){ //ako je zima i temperatura je ispod 4 X se povecava za 8
            X+=8;
        }
    printf("%d\n", X);
    break;
    }
    case 3: { //ako je korisnik iz korisnickog menija izabrao 3. opciju
        if(godDoba==1){ //Ako je leto samo onda proveravamo da li ima sladoleda
            do{
                printf("ako ima sladoleda unesite 1, ako nema unesite 0\n");
                scanf("%d", &s);
            }while(s<0||s>1);
        if(s==1){ //ako ima sladoleda povecavamo za 15 X
                X+=15;
                printf("%d\n", X);
        }
        }
    else {
        printf("nije leto");//ako nije leto nema potrebe da se proverava da li ima sladoleda
        printf("%d\n", X);
    }
            break;
    }
    case 4: //4. opcija
        {
        do{
            printf("Da li ima dosadnih predavanja? Ako ima unesite 1, ako nema unesite 0\n");
            scanf("%d", &predavanje);
        }while(predavanje>1||predavanje<0);

        if(predavanje==1){  //ako ima dosadnih predavanja X se smanjuje za 30
            X-=30;
        }
    if(predavanje==0){  //ako nema dosadnih predavanja
        X=X;    //X ostaje isto
    }
    printf("%d\n", X);
    break;
    }
    case 5:
        {
        do{
            printf("Ako je sve uredu sa internetom unesite 1, ako nije unesite 0\n");
            scanf("%d", &net);
        }while(net<0||net>1);
    if(net==1){ //ako ima interneta povecamo X za 15
        X+=15;
    }
    if(net==0){ //Ako nema interneta smanjicemo X za pola njegove trenutne vrednosti
        X=X/2;
    }
    printf("%d\n", X);
    break;
    }
    case 6: //opcija broj 6
        {
    printf("%d\n", X);
    if(X>50){   //ako je X vece od 50 Anastazija je raspolozena
        printf("Anastazija je raspolozena JEEEJ\n");
    }
    if(X<50){   //Ako je X manje od 50 ona je neraspolozena
        printf("Anastazija je neraspolozena :((\n");
        brneras++;      //povecavamo brojac koji broji koliko je puta Anastazija neraspolozena
        printf("broj neraspolozenja je:%d\n", brneras);     //ispisujemo koliko je puta neraspolozena dosad
        if (brneras>4){     //ako je vise od 4 puta
        return 0;    //izlazimo iz programa
    }
    }
    X=25;   //vracamo X na pocetnu vrednost pre nego sto krenemo u prethodno izvrsavanje programa
    //kada ne bismo vratili X na 25 on bi pamtio prethodnu vrednost na primer 50 i onda od nje poceo da racuna sledeci krug
    i++;   //ovde povecavamo brojac koji broji koliko puta je program izvrsen
    break;
    }
    case 7: //opcija za izlaz
        return 0; //izlaz
    default:  {  //svaki switch bi trebao da ima default koji ce se aktivirati ako korisnik ne unese nijednu
                //od opcija koje su mu ponudjene
        printf("Pogresan unos!\n");
        break;
    } //zatvoren default
    } //zatvoren switch
    } while (i<7); //program ce se izvrsiti 7 puta
    //zatvorena do-while petlja

    return 0;
} //kraj programa
